source: branches/fc15-dev/server/fedora/specs/httpd.spec.patch @ 1807

Last change on this file since 1807 was 1807, checked in by achernya, 11 years ago
Necessary changes to build the Scripts RPMs on Fedora 15: * Stop scriptsifying 389-ds-base, as it appears to have Mitch's patch * Update krb5.spec.patch for krb5-1.9 * Update the krb5-kuserok-scripts.patch to work with krb5-1.9 (code review requested) * Update httpd.spec.patch to apply properly to Fedora's newly cleaned-up httpd.spec * Bump zephyr to version 3.0.1
File size: 2.5 KB
  • httpd.spec

    old new  
    88Summary: Apache HTTP Server
    99Name: httpd
    1010Version: 2.2.17
    11 Release: 10%{?dist}.1
     11Release: 10%{?dist}.1.scripts.%{scriptsversion}
    1212URL: http://httpd.apache.org/
    1313Source0: http://www.apache.org/dist/httpd/httpd-%{version}.tar.bz2
    1414Source1: index.html
     
    5454Provides: httpd-mmn = %{mmn}, httpd-mmn = %{mmnisa}
    5555Requires: httpd-tools = %{version}-%{release}, apr-util-ldap, systemd-units
    5656
     57Provides: scripts-httpd
     58Patch1000: httpd-suexec-scripts.patch
     59Patch1003: httpd-2.2.x-mod_status-security.patch
     60Patch1004: httpd-2.2.x-304.patch
     61Patch1005: httpd-2.2.x-mod_ssl-sessioncaching.patch
     62Patch1006: httpd-suexec-cloexec.patch
     63Patch1007: httpd-fixup-vhost.patch
     64
    5765%description
    5866The Apache HTTP Server is a powerful, efficient, and extensible
    5967web server.
     
    6472Obsoletes: secureweb-devel, apache-devel, stronghold-apache-devel
    6573Requires: apr-devel, apr-util-devel, pkgconfig
    6674Requires: httpd = %{version}-%{release}
     75Provides: scripts-httpd-devel
    6776
    6877%description devel
    6978The httpd-devel package contains the APXS binary and other files
     
    102102Requires(post): openssl, /bin/cat
    103103Requires(pre): httpd
    104104Requires: httpd = 0:%{version}-%{release}, httpd-mmn = %{mmnisa}
     105Provides: scripts-mod_ssl
    105106Obsoletes: stronghold-mod_ssl
    106107
    107108%description -n mod_ssl
     
    129139# Patch in vendor/release string
    130140sed "s/@RELEASE@/%{vstring}/" < %{PATCH20} | patch -p1
    131141
     142%patch1000 -p1 -b .scripts
     143%patch1003 -p1 -b .permitstatus
     144%patch1004 -p1 -b .scripts-304
     145%patch1005 -p1 -b .ssl-sessioncache
     146%patch1006 -p1 -b .cloexec
     147%patch1007 -p1 -b .fixup-vhost
     148
    132149# Safety check: prevent build if defined MMN does not equal upstream MMN.
    133150vmmn=`echo MODULE_MAGIC_NUMBER_MAJOR | cpp -include include/ap_mmn.h | sed -n '/^2/p'`
    134151if test "x${vmmn}" != "x%{mmn}"; then
     
    176193        --with-apr=%{_prefix} --with-apr-util=%{_prefix} \
    177194        --enable-suexec --with-suexec \
    178195        --with-suexec-caller=%{suexec_caller} \
    179         --with-suexec-docroot=%{contentdir} \
     196        --with-suexec-docroot=/ \
     197        --with-suexec-userdir=web_scripts \
     198        --with-suexec-trusteddir=/usr/libexec/scripts-trusted \
    180199        --with-suexec-logfile=%{_localstatedir}/log/httpd/suexec.log \
    181200        --with-suexec-bin=%{_sbindir}/suexec \
    182         --with-suexec-uidmin=500 --with-suexec-gidmin=100 \
     201        --with-suexec-uidmin=50 --with-suexec-gidmin=50 \
    183202        --enable-pie \
    184203        --with-pcre \
    185204        $*
Note: See TracBrowser for help on using the repository browser.